🌍 Astrocartography API and ✋ Palmistry API are now live. Ship them in your app today.Get Started

Current Yogini Dasha

The current_yogini_dasha API returns the current major, sub, and sub-sub period of a yogini dasha with their respective start and end dates.
POSThttps://json.astrologyapi.com/v1/current_yogini_dasha

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en, Hindi - hi, Marathi - ma, Bengali - bn, Tamil - ta, Telugu - te, Malayalam - ml, Kannada - kn.

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

curl --location 'https://json.astrologyapi.com/v1/current_yogini_dasha' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5
}'
Try it

Runs with sample data — no API key needed

{
  "major_dasha": {
    "dasha_id": 4,
    "dasha_name": "Bhadrika",
    "duration": "5 Years",
    "start_date": "1-3-2014 2:30",
    "end_date": "1-3-2019 2:30"
  },
  "sub_dasha": {
    "dasha_id": 5,
    "dasha_name": "Ulka",
    "start_date": "9-11-2014 18:0",
    "end_date": "10-9-2015 4:0"
  },
  "sub_sub_dasha": {
    "dasha_id": 4,
    "dasha_name": "Bhadrika",
    "start_date": "29-7-2015 21:25",
    "end_date": "10-9-2015 4:0"
  }
}